Bug 835927 - FEATURE: Dynamically rebuild index page
FEATURE: Dynamically rebuild index page
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
Depends On:
  Show dependency treegraph
Reported: 2012-06-27 10:44 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-22 04:58:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-27 10:44:02 EDT
Right now the front page updates the build status and last built times for items.
Currently the page gets a report every three seconds about the last build time for a book. This report can be used to add  new books to page when they are added to the server.

1. Parse the returned buildtimeobject and compare it to the DOM. When an element does not exist in the DOM, add it in the right place. 
2. Make sure that the buildtimeobject report returns all the information needed to add a new element. If it doesn't, either increase its information density, or else create a new ajax service to get the complete details for a new book.
Comment 1 Joshua Wulf 2013-04-22 04:58:08 EDT
Done in Death Star.

Note You need to log in before you can comment on or make changes to this bug.